Debian Bug report logs - #705095
RM: mcs -- RoQA; orphaned, obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Andrew Shadura <bugzilla@tut.by>

Date: Wed, 10 Apr 2013 07:21:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705095; Package wnpp. (Wed, 10 Apr 2013 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 10 Apr 2013 07:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: mcs -- abstraction library to store configuration settings
Date: Wed, 10 Apr 2013 09:18:53 +0200
Package: wnpp
Severity: normal

I intend to orphan the mcs package. The package has been deprecated
upstream in favour of GSettings, and there are just few packages
depending on it in Debian, most of them are or were plugins for
ancient versions of Audacious media player, and they either don't build
against the modern versions of it, or just don't work.

Therefore I also propose to removed the reverse dependencies now. And,
if nobody oppose, it'd be probably reasonable to remove mcs package as
well after some time.

MCS used to be a good and lightweight configuration library, but it
seems, unfortunately, it's now time for it to go :(

The package description is:
 Modular Config System is a library and set of tools which abstract the
 storage of configuration settings away from userland applications.
 .
 It is hoped that by using mcs, that the applications which use it will
 generally have a more congruent feeling in regards to settings.
 .
 Highlights:
  * Cleanly implemented BSD-licenced code.
  * Simple, elegant, non-intrusive programming interface.
  * Modular design allows for third-party configuration backends to be
    implemented without any extra effort on the part of the development
    process of your products.
  * Dummy configuration backend which pretends that the configuration is
    blank.
  * Robust object-oriented design implemented as low-footprint C, mcs only
    adds a ~20KB memory footprint to your application.
  * XDG Base Directory spec compliance.
  * GConf support.
  * It's fast.



Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 31 Jan 2014 20:09:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: mcs -- RoQA; orphaned, obsolete' from 'O: mcs -- abstraction library to store configuration settings' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 31 Jan 2014 20:09:17 GMT) Full text and rfc822 format available.

Message sent on to Andrew Shadura <bugzilla@tut.by>:
Bug#705095. (Fri, 31 Jan 2014 20:09:21 GMT) Full text and rfc822 format available.

Message #12 received at 705095-submitter@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: control@bugs.debian.org
Cc: 705095-submitter@bugs.debian.org
Subject: RM: mcs -- RoQA; orphaned, obsolete
Date: Fri, 31 Jan 2014 22:07:20 +0200
reassign 705095 ftp.debian.org
retitle 705095 RM: mcs -- RoQA; orphaned, obsolete
thanks

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 05 Feb 2014 21:39:36 GMT) Full text and rfc822 format available.

Notification sent to Andrew Shadura <bugzilla@tut.by>:
Bug acknowledged by developer. (Wed, 05 Feb 2014 21:39:36 GMT) Full text and rfc822 format available.

Message #17 received at 705095-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 705095-close@bugs.debian.org
Cc: mcs@packages.debian.org, mcs@packages.qa.debian.org
Subject: Bug#705095: Removed package(s) from unstable
Date: Wed, 05 Feb 2014 21:37:04 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libmcs-backend-gconf |    0.7.2-4 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
libmcs-dev |    0.7.2-4 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
libmcs-doc |    0.7.2-4 | all
libmcs-utils |    0.7.2-4 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
   libmcs1 |    0.7.2-4 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390x, sparc
       mcs |    0.7.2-4 | source

------------------- Reason -------------------
RoQA; orphaned, obsolete
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors until the next
dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705095@bugs.debian.org.

The full log for this bug can be viewed at https://bugs.debian.org/705095

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Mar 2014 07:47:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:43:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.